Changes between rc4 and 0.10.2 final:

* Made end of game harder
* Added correct levels to all prefixes
* Updated dialogs and title files
* Improved temple wood and crystal fields a little 


Changes till rc4:
2007-06-29 20:44  ahuillet

	* freedroidRPG.exe: upd exe before rc4

2007-06-29 20:35  ahuillet

	* src/: init.c, struct.h, takeover.c: added takeover help info to
	  savegame in order not to display help for advanced people -
	  breaks existing savegames

2007-06-29 20:25  ahuillet

	* src/takeover.c: now automatically displaying takeover help on the
	  first to

2007-06-29 20:24  ahuillet

	* src/influ.c: removed cursor mode auto reset - should help with
	  identify scripts being wasted, but may introduce other problems

2007-06-29 18:37  ahuillet

	* src/input.c: fixed input for 0 1 2 3 4 ... keys for windows

2007-06-29 18:37  ahuillet

	* src/leveleditor.c: made leveleditor always use the same cursor

2007-06-29 18:02  ahuillet

	* graphics/backgrounds/conversation.png: made dialog background
	  black

2007-06-28 21:10  ahuillet

	* freedroidRPG.exe: rc3bis exe

2007-06-27 12:19  magotari

	* map/titles/: EndOfGame.title, TakeoverInstructions.title: Rewrote
	  more stuff.

2007-06-26 21:45  ahuillet

	* src/items.c, src/struct.h, map/freedroid.prefix_archetypes: added
	  level handling to item bonuses

2007-06-26 18:02  ahuillet

	* src/view.c: fixed display code to work even when skipping shadow
	  blitting

2007-06-26 15:01  magotari

	* dialogs/: Pendragon.dialog, subdlg_Pendragon.dialog: Rewrote
	  Pendragon nearly from scratch.  Please comment, I am not sure if
	  this is an improvement.

2007-06-26 12:18  magotari

	* dialogs/Spencer.dialog: Moved stuff around.

2007-06-26 12:15  magotari

	* dialogs/Ewald.dialog: A trivial fix.	Damn good to be back.

2007-06-25 20:16  ahuillet

	* src/text.c: fixed escape in GetString

2007-06-25 17:10  ahuillet

	* src/ship.c: s/Quest item - unsellable/Unsellable/

2007-06-25 14:17  ahuillet

	* src/shop.c: wait for mouse left to be released in shops

2007-06-25 01:19  ahuillet

	* src/BFont.c: now using glClipPlane for text clipping - does nicer
	  text scrolling at the borders

2007-06-25 00:53  ahuillet

	* src/chat.c: improved chat menu performance by removing map
	  display call altogether - effect is visible but no one should
	  care

2007-06-24 23:12  ahuillet

	* src/shop.c: fixed regression in exiting shop

2007-06-24 23:03  ahuillet

	* src/influ.c: fixed space key being usable to act on the map

2007-06-24 22:42  ahuillet

	* src/text.c: fixed GiveMouseAlertWindow regression

2007-06-24 22:13  ahuillet

	* src/: input.c, skills.c, takeover.c: fixed a few more regressions
	  in input code

2007-06-24 02:34  ahuillet

	* ChangeLog: rc1 Changelog

2007-06-23 15:42  ahuillet

	* src/: defs.h, hud.c, input.c, skills.c, view.c: fixed skill
	  explanation screen behavior : not conflicting with inv any
	  longer, and view centered properly

2007-06-22 23:46  ahuillet

	* src/: menu.c, sound.c: fixed chat menu input regressions

2007-06-22 23:08  ahuillet

	* src/: character.c, graphics.c, input.c, items.c, leveleditor.c,
	  proto.h, skills.c, text.c: fixed input regressions for
	  mouse-related checks - hope there are none of them left now

2007-06-21 16:36  ahuillet

	* freedroidRPG.exe: generated more recent .exe

2007-06-21 16:11  ahuillet

	* map/Asteroid.maps: upd map

2007-06-15 01:35  ahuillet

	* src/input.c: made quick inv work with international keyboard
	  layouts, PLEASE TEST THAT AND REPORT

2007-06-15 01:13  ahuillet

	* src/: input.c, proto.h: made quick inventory use new input code
	  in preparation for intl layout fix

2007-06-15 00:01  ahuillet

	* src/input.c: removed debug printf

2007-06-14 23:55  ahuillet

	* src/items.c: removed debug messages used in fixing the previous
	  bug

2007-06-14 23:52  ahuillet

	* src/items.c: fixed bug when replacing a two handed weapon by a
	  shield, you could end up having a weapon in shield rect

2007-06-14 23:47  ahuillet

	* src/menu.c: fixed cheat menu quitting

2007-06-14 23:11  ahuillet

	* src/: input.c, proto.h: changed input code to make it Just Work -
	  now it s as complex as the original... but more logical

2007-06-13 16:09  ahuillet

	* src/leveleditor.c: cosmetic fix to test CIA bot

2007-06-13 12:59  ahuillet

	* src/leveleditor.c: added autoscrolling in leveleditor

2007-06-10 01:49  ahuillet

	* src/view.c: protected matusz GL-only code for building on non-GL
	  machines

2007-06-10 00:13  ahuillet

	* src/: character.c, chat.c, influ.c, init.c, leveleditor.c,
	  menu.c, text.c: replaced a few occurences of SpacePressed by the
	  relevant MousePressed calls

2007-06-09 20:02  ahuillet

	* src/: BFont.c, automap.c, blocks.c, graphics.c, hud.c,
	  leveleditor.c, misc.c, open_gl.c, proto.h, shop.c, skills.c,
	  takeover.c, view.c: changed call parameters for blit functions -
	  now passing iso_image by address

2007-06-09 19:02  ahuillet

	* src/: global.h, input.c, proto.h, view.c: added Z key to toggle
	  "always show items"

2007-06-09 18:51  ahuillet

	* src/: input.c, proto.h: added RightWasPressed and LeftWasPressed
	  to input system

2007-06-09 18:50  ahuillet

	* src/graphics.c: fixed input regression in graphical number
	  selection, and added support for selection with arrow keys

2007-06-09 18:46  ahuillet

	* src/leveleditor.c: fixed input regression in item drop menu

2007-06-09 18:26  ahuillet

	* src/skills.c: tom kun temporary calculate pi program + changed
	  calls to match new input system

2007-06-09 18:22  ahuillet

	* src/: character.c, global.h, graphics.c, hud.c, influ.c, init.c,
	  items.c, leveleditor.c, main.c, menu.c, mission.c, network.c:
	  restructuration of input code to something a little cleaner and
	  that eases tracking of previous frame events - there are
	  regressions to track and report

2007-06-09 18:14  ahuillet

	* src/: proto.h, ship.c, shop.c, input.c: restructuration of input
	  code to something a little cleaner and that eases tracking of
	  previous frame events - there are regressions to track and report

2007-06-09 18:11  ahuillet

	* src/: takeover.c, view.c: restructuration of input code to
	  something a little cleaner and that eases tracking of previous
	  frame events - there are regressions to track and report

2007-06-09 00:26  ahuillet

	* src/: hud.c, character.c: tom_kun - working on computerish magic

2007-06-07 22:43  ahuillet

	* src/vars.h, graphics/skill_icons/Calculate_PI.png,
	  graphics/skill_icons/FrostBoltSpell.png: changed frost spell to
	  calculate pi program - tom kun

2007-06-07 22:35  ahuillet

	* src/influ.c: added toggle autorun function, patch from Tom Kun

2007-05-04 14:23  ahuillet

	* src/sound.c: now not exiting when sound could not be initialized,
	  as requested by an user

2007-04-12 22:02  ahuillet

	* src/automap.c: GL automap now displays obstacles at the right
	  place !

2007-04-12 17:48  ahuillet

	* dialogs/de/Kevin.dialog: fixed missing double quote

2007-04-12 03:04  ahuillet

	* dialogs/de/Kevin.dialog: fixed double line

2007-04-11 19:11  ahuillet

	* src/view.c: added grey quad in GL mode for double handed weapons

2007-04-11 17:38  ahuillet

	* src/: SDL_rotozoom.c, enemy.c, items.c: removed a few irrelevant
	  uninitialized value warnings from gcc4

2007-04-11 17:31  ahuillet

	* graphics/font/: cpuFont.8859-2.png, parafont.8859-2.png,
	  small_white.8859-2.png: added a few 8859-2 fonts from matusz

2007-04-11 17:29  ahuillet

	* src/leveleditor.c: added displaying of object type numbers in ALL
	  tab in leveleditor

2007-04-11 17:18  ahuillet

	* src/defs.h: fixed numbering mistake

2007-04-11 17:16  ahuillet

	* src/: init.c, misc.c, struct.h: added support for linked actions
	  in events file

2007-04-11 17:11  ahuillet

	* map/EventsAndEventTriggers: updated event file to handle linked
	  actions

2007-04-11 15:50  ahuillet

	* src/blocks.c: fixed autoguns and counters block area size

2007-04-11 15:50  ahuillet

	* src/map.c: made autoguns fire faster, as requested by Mr. Map

2007-04-11 13:32  ahuillet

	* src/: misc.c, mission.c: improved quest browser buttons' behavior

2007-04-11 13:05  ahuillet

	* src/character.c: fixed bug that distributed character points even
	  when chascr was not open

2007-04-09 14:14  ahuillet

	* src/leveleditor.c: patch from matusz to exit lvleditor with
	  CTRL-Q instead of just Q - consistency

2007-04-09 14:10  ahuillet

	* src/: graphics.c, input.c, defs.h: removed support for crosshair
	  cursor as only fdClassic uses it

2007-04-09 14:05  ahuillet

	* src/: defs.h, saveloadgame.c: removed useless references to
	  SHIP_EXT, replaced by .shp

2007-04-09 02:26  ahuillet

	* src/defs.h: updated comments

2007-04-09 01:43  ahuillet

	* src/items.c: reduced a little the apparition of ranged weapons
	  ammo - this still requires some work

2007-04-09 01:31  ahuillet

	* map/Asteroid.maps: updated Stone waypoints so that she does not
	  get stuck

2007-04-09 01:08  ahuillet

	* map/freedroid.item_archetypes: made standard shield better than
	  small shield, reported by barbatrix

2007-04-09 01:02  ahuillet

	* src/menu.c: skip initial title file when entering leveleditor
	  directly

2007-04-09 01:01  ahuillet

	* src/text.c: reduced default speed of title files to make them
	  more readable

2007-04-09 00:56  ahuillet

	* src/menu.c: added a leveleditor menu option, this is done in a
	  rather dirty way but it does its work therefore I am keeping it

2007-04-09 00:55  ahuillet

	* src/leveleditor.c: removed test string left out by matusz in
	  leveleditor

2007-04-09 00:37  ahuillet

	* src/input.c: improved ski/cha screens behavior: they now are
	  exclusive

2007-04-08 22:54  ahuillet

	* map/Asteroid.maps: updated map for hf entrance

2007-04-08 22:52  ahuillet

	* map/EventsAndEventTriggers: updated to reflect my latest feature
	  enhancements and serve as an example for barbatrix

2007-04-08 22:51  ahuillet

	* src/: init.c, misc.c, struct.h: added support for actions
	  disabling event triggers, as requested by barbatrix

2007-04-08 20:56  ahuillet

	* src/influ.c: disabled loot mode for mwheelup as well, bug
	  reported by matusz

2007-04-08 15:10  ahuillet

	* graphics/mouse_buttons/LevelEditorToggleGridButtonFull.png: added
	  "full grid" button for leveleditor

2007-04-08 15:10  ahuillet

	* src/: defs.h, leveleditor.c, misc.c, view.c: matusz patch for
	  three mode grid button, and small grid numbers in leveledit to be
	  displayed in SDL too

2007-04-05 02:34  ahuillet

	* src/blocks.c: now using specific (placeholder) graphics for
	  disabled autoguns

2007-04-05 02:34  ahuillet

	* graphics/obstacles/: iso_disautogun_0001.offset,
	  iso_disautogun_0001.png, iso_disautogun_0002.offset,
	  iso_disautogun_0002.png, iso_disautogun_0003.offset,
	  iso_disautogun_0003.png, iso_disautogun_0004.offset,
	  iso_disautogun_0004.png: added disabled autogun (placeholder)
	  graphics

2007-04-05 02:21  ahuillet

	* freedroidRPG.exe: new binary

2007-04-05 02:04  ahuillet

	* src/: open_gl.c, proto.h, text.c: various position translation
	  macro names changes by matusz

2007-04-05 02:03  ahuillet

	* src/: leveleditor.c, view.c: matusz added a full featured grid to
	  the leveleditor along with cosmetic fixes

2007-04-05 02:01  ahuillet

	* src/influ.c: various pointless position translation macro names
	  changes by matusz

2007-04-05 01:58  ahuillet

	* src/blocks.c: various pointless changes to blocks.c by matusz to
	  change macro names

2007-04-05 01:52  ahuillet

	* graphics/: grid_tile.offset, grid_tile.png: added grid tile files
	  for grid in leveleditor in SDL mode

2007-04-04 22:20  ahuillet

	* src/: blocks.c, bullet.c, defs.h, leveleditor.c: added disabled
	  autoguns obstacles - some tweaking will be necessary in
	  leveleditor to make them look different

2007-04-04 22:19  ahuillet

	* src/map.c: autoguns now are functional again, and were somewhat
	  improved - rate of fire, damage, bullet position

2007-04-04 22:16  ahuillet

	* src/view.c: finally supressed - with an awfully dirty patch that
	  I will regret someday - displaying of W for water obstacles out
	  of leveleditor mode

2007-04-04 01:46  ahuillet

	* map/Asteroid.maps: barbatrix HF entrance

2007-04-04 01:45  ahuillet

	* src/misc.c: now handling removal of obstacles as events

2007-04-04 01:43  ahuillet

	* map/EventsAndEventTriggers: first commit of two new events on
	  barbatrix map

2007-04-03 23:27  ahuillet

	* src/text.c: cosmetic fix - now obstacle labels are displaying in
	  a correctly-sized rectangle

2007-03-18 15:32  ahuillet

	* graphics/backgrounds/: LevelEditorBanner.png,
	  LevelEditorSelectionBar1.png, LevelEditorSelectionBar2.png,
	  LevelEditorSelectionBar3.png, LevelEditorSelectionBar4.png,
	  LevelEditorSelectionBar5.png, LevelEditorSelectionBar6.png,
	  LevelEditorSelectionBar7.png, LevelEditorWallsMenu.png: removed
	  now unused level editor files

2007-03-18 15:28  ahuillet

	* src/: leveleditor.c, misc.c, defs.h: matusz patch - better
	  leveleditor object selection bar

2007-03-18 15:28  ahuillet

	* graphics/mouse_buttons/: LevelEditorObjectSelectorLeft.png,
	  LevelEditorObjectSelectorRight.png: added object selector arrows
	  for leveleditor

2007-03-13 00:03  ahuillet

	* freedroidRPG.exe: now using binary write mode for SaveShip

2007-03-12 23:41  ahuillet

	* src/map.c: fixed potential bug in case of crate explosion not due
	  to the player

2007-03-12 23:38  ahuillet

	* src/map.c: put back the binary open mode for SaveShip - crappy
	  windows

2007-03-12 23:29  ahuillet

	* src/chat.c: fixed font class for german

2007-03-11 21:44  ahuillet

	* map/Asteroid.maps: fixed town corner2

2007-03-11 21:39  ahuillet

	* map/Asteroid.maps: fixed town corner

2007-03-11 21:35  ahuillet

	* map/Asteroid.maps: barbatrix modifications

2007-03-11 17:31  ahuillet

	* src/menu.c: removed allowance for changing resolutions in SDL
	  mode- this is definitely not supported

2007-03-11 16:31  ahuillet

	* src/: graphics.c, menu.c, struct.h: added possibility to disable
	  fadings - performance tweak

2007-03-11 16:19  ahuillet

	* src/hud.c: added legend to HP/mana/etc bars tooltips, and
	  improved text banner sizing

2007-03-11 16:08  ahuillet

	* src/map.c: fixed bug of crates never dropping random items as
	  they were supposed to

2007-03-11 15:56  ahuillet

	* src/influ.c: random drops in chests as requested by Etienne Viard

2007-03-11 14:43  ahuillet

	* freedroidRPG.exe: new exe

2007-03-10 23:49  ahuillet

	* src/: menu.c, proto.h, chat.c, graphics.c: language are now tied
	  to fonts, to handle non-8859-15 languages

2007-03-10 22:32  ahuillet

	* src/: BFont.c, BFont.h: using const where appropriate in BFont

2007-03-10 14:14  ahuillet

	* src/init.c: added locale check before setlocale

2007-03-10 14:14  ahuillet

	* src/map.c: cosmetic change

2007-03-09 23:38  ahuillet

	* freedroidRPG.exe: new bin

2007-03-09 14:07  bastiansalmela

	* src/sound.c:
	  removed extra "n"

	  .b

2007-03-09 09:27  ahuillet

	* src/bullet.c: wrong format string in debug printf call

2007-03-09 09:27  ahuillet

	* src/: misc.c, sound.c: fixed various further calls consequently
	  to find_file modifications

2007-03-08 19:10  ahuillet

	* src/sound.c: fixed missing fpath definition changes

2007-03-07 20:45  ahuillet

	* src/: text.c, BFont.c, BFont.h: updated font code to support high
	  chars

2007-03-07 20:45  ahuillet

	* graphics/font/: font05.png, font05_blue.png, font05_green.png,
	  font05_magenta.png, font05_red.png, font05_white.png,
	  font05_yellow.png, parafont.png, small_white.png: updated fonts
	  with iso8859-15 characters

2007-03-07 20:37  ahuillet

	* src/: init.c, open_gl.c, struct.h: finished removed references to
	  deprecated notion of themes

2007-03-07 20:22  ahuillet

	* graphics/: skill_buttons.png, to_background.jpg: moved a few
	  files from theme dir

2007-03-07 20:03  ahuillet

	* graphics/to_elem.png: wrong upload

2007-03-07 20:00  ahuillet

	* graphics/to_elem.png: moved takeover elements

2007-03-07 19:51  ahuillet

	* src/: automap.c, blocks.c, chat.c, graphics.c, hud.c, init.c,
	  leveleditor.c, light.c, map.c, menu.c, misc.c, mission.c,
	  open_gl.c, proto.h, saveloadgame.c, ship.c, shop.c, sound.c,
	  takeover.c, text_public.c, view.c: changed find_file, to a
	  cleaner approach, and removed long deprecated theme file

2007-03-06 00:43  ahuillet

	* freedroidRPG.exe: new exe

2007-03-06 00:34  ahuillet

	* dialogs/de/Michelangelo.dialog: fixed missing "

2007-03-05 22:25  ahuillet

	* graphics/mouse_buttons/: LevelEditorToggleGridButton.png,
	  LevelEditorToggleGridButtonOff.png: added new button to toggle
	  grid in lvleditor

2007-03-05 22:25  ahuillet

	* src/global.h: draw_grid variable added

2007-03-05 22:23  ahuillet

	* src/main.c: draw grid by default

2007-03-05 22:15  ahuillet

	* src/menu.c: fixed bug when skipping initial menus

2007-03-05 16:51  ahuillet

	* src/: leveleditor.c, misc.c, defs.h: added two buttons to
	  leveleditor

2007-03-04 21:53  ahuillet

	* src/proto.h: first try of leveleditor grid

2007-03-04 21:51  ahuillet

	* src/view.c: font code update - first try of leveleditor grid

2007-03-03 23:59  ahuillet

	* src/: view.c, misc.c: fixed endian swapping to work on Linux PPC
	  too

2007-03-03 22:57  ahuillet

	* src/blocks.c: fixed collision rectangles for benches

2007-03-03 22:56  ahuillet

	* src/proto.h: fixed expansion of arguments for position
	  translation functions

2007-03-03 17:38  ahuillet

	* configure.ac: locale switching

2007-03-03 17:34  ahuillet

	* src/: init.c, system.h: switching to the proper C locale on
	  startup - translations require it

2007-02-28 19:34  ahuillet

	* src/shop.c: fixed crash due to not existing sound file

2007-02-26 23:02  ahuillet

	* map/Asteroid.maps: fixed town/slasher mountains threshold

2007-02-26 12:41  ahuillet

	* src/view.c: now building properly on nonGL machines

2007-02-25 19:22  ahuillet

	* Makefile.am: added sign target

2007-02-25 18:50  ahuillet

	* dialogs/de/614.dialog, dialogs/de/Bender.dialog,
	  dialogs/de/Benjamin.dialog, dialogs/de/Bruce.dialog,
	  dialogs/de/Butch.dialog, dialogs/de/Chandra.dialog,
	  dialogs/de/Darwin.dialog, dialogs/de/Dixon.dialog,
	  dialogs/de/DocMoore.dialog, dialogs/de/Duncan.dialog,
	  dialogs/de/Ernie.dialog, dialogs/de/Ewald.dialog,
	  dialogs/de/Francis.dialog, dialogs/de/Jack.dialog,
	  dialogs/de/Jasmine.dialog, dialogs/de/Julie.dialog,
	  dialogs/de/Kevin.dialog, dialogs/de/KevinGuard.dialog,
	  dialogs/de/Lukas.dialog,
	  dialogs/de/MSFacilityGateGuardLeader.dialog,
	  dialogs/de/Melfis.dialog, dialogs/de/Michelangelo.dialog,
	  dialogs/de/OldTownGateGuardLeader.dialog,
	  dialogs/de/Pendragon.dialog, dialogs/de/RMS.dialog,
	  dialogs/de/Skippy.dialog, dialogs/de/Sorenson.dialog,
	  dialogs/de/Spencer.dialog, dialogs/de/Spencer1.dialog,
	  dialogs/de/StandardBotAfterTakeover.dialog,
	  dialogs/de/StandardMSFacilityGateGuard.dialog,
	  dialogs/de/StandardNewTownGateGuard.dialog,
	  dialogs/de/StandardOldTownGateGuard.dialog,
	  dialogs/de/Stone.dialog, dialogs/de/Tybalt.dialog,
	  dialogs/de/subdlg_Benjamin.dialog,
	  dialogs/de/subdlg_Benjamin_bribe.dialog,
	  dialogs/de/subdlg_Butch.dialog, dialogs/de/subdlg_Darwin.dialog,
	  dialogs/de/subdlg_Kevin.dialog,
	  dialogs/de/subdlg_Pendragon.dialog,
	  dialogs/de/subdlg_Sorenson.dialog,
	  dialogs/de/subdlg_Spencer_eval.dialog,
	  dialogs/de/subdlg_Spencer_funeral.dialog,
	  dialogs/de/subdlg_Stone.dialog,
	  dialogs/de/subdlg_kevin_reward1.dialog,
	  map/titles/de/EndOfGame.title, map/titles/de/StartOfGame.title,
	  map/titles/de/TakeoverInstructions.title,
	  map/titles/de/level_editor_help.title: updated translations

2007-02-25 18:49  ahuillet

	* ChangeLog: new changelog

